blk_end_request
Prev | Chapter 17. Block Devices | Next

## Name

blk_end_request — Helper function for drivers to complete the request.

## Synopsis

`int blk_end_request (` | struct request * | rq,
| int | error,
| unsigned int | nr_bytes`)`;

## Arguments

`rq`

  the request being processed

`error`

  0 for success, < 0 for error

`nr_bytes`

  number of bytes to complete

## Description

Ends I/O on a number of bytes attached to `rq`. If `rq` has leftover, sets it up for the next range of segments.

## Return

0 - we are done with this request 1 - still buffers pending for this request

Prev | Up | Next
end_request | Home | __blk_end_request